Bug 469465 - readline doesn't work in maxima
readline doesn't work in maxima
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: maxima (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-31 22:03 EDT by Kieran Clancy
Modified: 2009-04-26 17:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-26 17:59:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kieran Clancy 2008-10-31 22:03:17 EDT
Description of problem:
Can't use arrows and readline features in maxima.

Version-Release number of selected component (if applicable):
maxima-5.15.0-1.fc9.i386

How reproducible:
Every time.

Steps to Reproduce:
1. Try to use arrow keys, ^A, ^E, Home, End, etc in maxima
  
Actual results:
Get lots of ^[[A^[[A control sequences showing up in the terminal.

Expected results:
Moves cursor left or right, to the start or end of the line, moves through previously entered lines, etc.
Comment 1 Rex Dieter 2008-11-01 17:35:34 EDT
Depends on which maxima-runtime-* pkg you're using.
Comment 2 Kieran Clancy 2008-11-01 22:45:09 EDT
According to RPM:
maxima-runtime-sbcl-5.15.0-1.fc9.i386

I suppose that this must be the one that yum pulled in when I typed 'yum install maxima'.
Comment 3 Rex Dieter 2009-04-26 17:59:55 EDT
For what it's worth, some lisp runtimes provide readline support and others don't.  maxima-runtime-sbcl happens to be one that doesn't.

I believe gcl, clisp *do* include readline support (and sbcl doesn't).

Note You need to log in before you can comment on or make changes to this bug.